---
schema_version: "1"
id: 415f3f315672f4ef6ba3cdc756ab0ae4f9b5a9692d02f78dbfc304596f7df137
title: Update Related List Metadata
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_related_list_info_md_patch.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_related_list_info_md_patch.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: 9627fd0faf214021db4111e1552d279ca7729d7ce9c3a15f54ebe1b7147fb84b
description: Update metadata for a related list in a page layout.
---
# Update Related List Metadata

Update metadata for a related list in a page layout.

Resource

/ui-api/related-list-info/${parentObjectApiName}/${relatedListId}

- parentObjectApiName—A [supported](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_get_started_supported_objects.htm#ui_api_get_started_supported_objects "User Interface API supports all custom objects and external objects and many standard objects.") object, such as Account.
- relatedListId—The ID of a supported related list for that object, such as Contracts.

Available Version

50.0

HTTP Method

PATCH

Example

This example uses a request body to update the metadata for the Contracts related list for the Account object:

PATCH /services/data/v68.0/ui-api/related-list-info/Account/Contracts

{ 
  "orderedByInfo" : \[{ 
    "fieldApiName": "Name",
    "isAscending" : true
  }\],
  "userPreferences" : {
    "columnWidths" : {
        "Name" : -1
    },
    "columnWrap" : {
        "Name" : false
    }
  }
}

Request Body

| Parameter Name | Type | Description | Required or Optional | Available Version |
| --- | --- | --- | --- | --- |
| recordTypeId | Id | The ID of the record type (RecordType object) for the record. If not provided, the default record type is used. | Optional | 50.0 |
| relatedList​InfoInput | [Related List Input](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_requests_related_list_input.htm "A related list to update.") | The updated related list metadata. | Required | 50.0 |

Response Body

[Related List Info](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_related_list_metadata.htm "Metadata that describes a related list.")